Loading...
Searching...
No Matches
osmium::io::NoCompressor Class Referencefinal

`#include <compression.hpp>`

Inheritance diagram for osmium::io::NoCompressor:
[legend]
Collaboration diagram for osmium::io::NoCompressor:
[legend]

## Public Member Functions

| NoCompressor (const int fd, const fsync sync)
| NoCompressor (const NoCompressor &)=delete
NoCompressor & | operator= (const NoCompressor &)=delete
| NoCompressor (NoCompressor &&)=delete
NoCompressor & | operator= (NoCompressor &&)=delete
| ~NoCompressor () noexcept override
void | write (const std::string &data) override
void | close () override
std::size_t | file_size () const override
Public Member Functions inherited from osmium::io::Compressor
| Compressor (const fsync sync) noexcept
| Compressor (const Compressor &)=default
Compressor & | operator= (const Compressor &)=default
| Compressor (Compressor &&) noexcept=default
Compressor & | operator= (Compressor &&) noexcept=default
virtual | ~Compressor () noexcept=default

## Private Attributes

std::size_t | m_file_size = 0
int | m_fd

## Additional Inherited Members

Protected Member Functions inherited from osmium::io::Compressor
bool | do_fsync () const noexcept

## Constructor & Destructor Documentation

## NoCompressor() [1/3]

osmium::io::NoCompressor::NoCompressor | ( | const int | fd,
|  | const fsync | sync )

inline

## NoCompressor() [2/3]

osmium::io::NoCompressor::NoCompressor | ( | const NoCompressor & |  | ) |

delete

## NoCompressor() [3/3]

osmium::io::NoCompressor::NoCompressor | ( | NoCompressor && |  | ) |

delete

## ~NoCompressor()

osmium::io::NoCompressor::~NoCompressor | ( |  | ) |

inlineoverridenoexcept

## Member Function Documentation

## close()

void osmium::io::NoCompressor::close | ( |  | ) |

inlineoverridevirtual

Implements osmium::io::Compressor.

## file_size()

std::size_t osmium::io::NoCompressor::file_size | ( |  | ) | const

inlineoverridevirtual

Reimplemented from osmium::io::Compressor.

## operator=() [1/2]

NoCompressor & osmium::io::NoCompressor::operator= | ( | const NoCompressor & |  | ) |

delete

## operator=() [2/2]

NoCompressor & osmium::io::NoCompressor::operator= | ( | NoCompressor && |  | ) |

delete

## write()

void osmium::io::NoCompressor::write | ( | const std::string & | data | ) |

inlineoverridevirtual

Implements osmium::io::Compressor.

## Member Data Documentation

## m_fd

int osmium::io::NoCompressor::m_fd

private

## m_file_size

std::size_t osmium::io::NoCompressor::m_file_size = 0

private

The documentation for this class was generated from the following file:

- include/osmium/io/compression.hpp